payments
Get a refund for a payment
Returns a single refund scoped to the parent payment.
GET
/
payments
/
{paymentId}
/
refunds
/
{refundId}
Get a refund for a payment
curl --request GET \
--url https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"paymentId": "<string>",
"amount": 0,
"currency": "<string>",
"processorReferenceId": "<string>",
"refundedAt": "2023-11-07T05:31:56Z",
"paymentStatus": "pending"
}Authorizations
Merchant API key bearer token.
Path Parameters
Payment TypeID (pmt_...) that owns the refund.
Example:
"pmt_01hxy8m1nqk9g3x3y3p0azq2bg"
Refund TypeID (refund_...).
Example:
"refund_01hxy8m1nqk9g3x3y3p0azq2r1"
Query Parameters
Merchant TypeID (mer_...) that owns the payment.
Example:
"mer_01hxy8m1nqk9g3x3y3p0azq2bg"
Response
200 - application/json
Required range:
-9007199254740991 <= x <= 9007199254740991Supported currency code (USD, CAD)
Required string length:
3Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
pending, authorized, captured, completed, voided, refunded, declined, returned ⌘I
Get a refund for a payment
curl --request GET \
--url https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/payments/{paymentId}/refunds/{refundId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"paymentId": "<string>",
"amount": 0,
"currency": "<string>",
"processorReferenceId": "<string>",
"refundedAt": "2023-11-07T05:31:56Z",
"paymentStatus": "pending"
}